import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-client-main-view',
  templateUrl: './client-main-view.component.html',
  styleUrl: './client-main-view.component.css'
})
export class ClientMainViewComponent implements OnInit {
  baseUrl: string = import.meta.env.NG_APP_BASE_API_URL;
  clientUuid: string;
  clientData: any;

  constructor(private http: HttpClient) {
    const url = window.location.href;
    const segments = url.split('/');
    this.clientUuid = segments[segments.length - 1];
  }

  ngOnInit() {
    this.loadClientData();
  }

  loadClientData() {
    this.http.get(`${this.baseUrl}/clients/${this.clientUuid}`).subscribe(
      data => {
        this.clientData = data;
      },
      error => {
        console.error('Error loading client data:', error);
      }
    );
  }

  
}
